DO $$
    DECLARE _path character varying(256) = 'patch-2025_10_08-Customers';
    BEGIN
        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= 15450) THEN
            RETURN;
        END IF;

        BEGIN
        	
           ALTER TABLE public."Customers" ADD "Culture" character varying(20) NULL;

	   --UPDATE public."Customers" SET "Culture"='en';

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
        EXCEPTION
            WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$;